Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

bundle exec rake db:migrate #4148

Closed
diverso opened this Issue May 9, 2013 · 1 comment

Comments

Projects
None yet
2 participants

diverso commented May 9, 2013

Hi,

I've been trying to install diaspora for a while, lately I've managed to start the rails server after all the due requirements been set, however get this error:

ActiveRecord::StatementInvalid in HomeController#show

Mysql2::Error: Table 'diaspora_development.contacts' doesn't exist: SHOW FULL FIELDS FROM contacts

app/helpers/services_helper.rb:2:in new' app/helpers/services_helper.rb:2:inmodule:ServicesHelper'
app/helpers/services_helper.rb:1:in <top (required)>' app/controllers/application_controller.rb:5:in<top (required)>'
app/controllers/home_controller.rb:5:in <top (required)>' config/initializers/silence_assets.rb:9:incall_with_quiet_assets'
lib/rack/chrome_frame.rb:39:in `call'

Now I've read thread where it suggest to solve this by typing:

bundle exec rake db:migrate

Problem is I get this error:

rake aborted!
Incorrect MySQL client library version! This gem was compiled for 5.5.27 but the client library is 5.6.10.

Any suggestions?

Owner

jhass commented May 9, 2013

As already said, run gem install mysql2. Also you more likely skipped the rake db:schema:load step. Lastly this is no support board but a bugtracker. Post to the mailing list or come into IRC.

@jhass jhass closed this May 9, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment